Skip to content
Ona Docs

DeleteSCIMConfiguration

POST/gitpod.v1.OrganizationService/DeleteSCIMConfiguration

Removes a SCIM configuration from an organization.

Use this method to:

  • Disable SCIM provisioning completely
  • Remove unused configurations
  • Clean up after migration

Examples

  • Delete SCIM configuration:

    Removes a specific SCIM configuration.

    scimConfigurationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
Body ParametersJSONExpand Collapse
scimConfigurationId: string

scim_configuration_id is the ID of the SCIM configuration to delete

formatuuid

DeleteSCIMConfiguration

curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/DeleteSCIMConfiguration \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "scimConfigurationId": "d2c94c27-3b76-4a42-b88c-95a85e392c68"
        }'
{}
Returns Examples
{}